<?php
/**
* English Lexicon
*
* @author Ezra Rieben
* @package filelinkmgr
* @namespace default
*/

$_lang['filelinkmgr'] = 'File Link Manager';
$_lang['filelinkmgr.link_manager'] = 'Link Manager';

$_lang['filelinkmgr.management_desc'] = 'Generate external links to files available in the modx browser.';
$_lang['filelinkmgr.choose_file'] = 'Choose a file';
$_lang['filelinkmgr.link'] = 'Link';
$_lang['filelinkmgr.generate_link'] = 'Generate link';

$_lang['filelinkmgr.file_field_required'] = 'Please select the file you want to generate a link for.';

// settings
$_lang['setting_filelinkmgr.mediaSource'] = 'Media source';
$_lang['setting_filelinkmgr.mediaSource_desc'] = 'Media source to use when choosing file to create link for.<br />
<strong>NOTE:</strong> uses MODX\'s <i>default_media_source</i> setting if not set.';
$_lang['setting_filelinkmgr.site_url'] = 'File link url';
$_lang['setting_filelinkmgr.site_url_desc'] = 'Url to use for file links. <br />
<strong>NOTE:</strong> By default File Link Manager uses MODX\'s <i>site_url</i> setting to generate the link. Using this option will override that.<br />
<strong>Example:</strong> https://example.com/';
